// @flow
import React from 'react';
import { renderSnapshot } from '../../../../utils/tests';

import { Lock } from './index';

describe('Lock', () => {
  describe('snapshot', () => {
    it('is disabled', () => {
      const lock = renderSnapshot(<Lock disabled />);
      expect(lock).toMatchSnapshot();
    });

    it('is not disabled', () => {
      const lock = renderSnapshot(<Lock disabled={false} />);
      expect(lock).toMatchSnapshot();
    });
  });
});
